# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class SkuDefinition(Enum):

    standard = "Standard"
    free = "Free"
    premium = "Premium"


class JobCollectionState(Enum):

    enabled = "Enabled"
    disabled = "Disabled"
    suspended = "Suspended"
    deleted = "Deleted"


class RecurrenceFrequency(Enum):

    minute = "Minute"
    hour = "Hour"
    day = "Day"
    week = "Week"
    month = "Month"


class JobActionType(Enum):

    http = "Http"
    https = "Https"
    storage_queue = "StorageQueue"
    service_bus_queue = "ServiceBusQueue"
    service_bus_topic = "ServiceBusTopic"


class HttpAuthenticationType(Enum):

    not_specified = "NotSpecified"
    client_certificate = "ClientCertificate"
    active_directory_oauth = "ActiveDirectoryOAuth"
    basic = "Basic"


class RetryType(Enum):

    none = "None"
    fixed = "Fixed"


class DayOfWeek(Enum):

    sunday = "Sunday"
    monday = "Monday"
    tuesday = "Tuesday"
    wednesday = "Wednesday"
    thursday = "Thursday"
    friday = "Friday"
    saturday = "Saturday"


class JobScheduleDay(Enum):

    monday = "Monday"
    tuesday = "Tuesday"
    wednesday = "Wednesday"
    thursday = "Thursday"
    friday = "Friday"
    saturday = "Saturday"
    sunday = "Sunday"


class JobState(Enum):

    enabled = "Enabled"
    disabled = "Disabled"
    faulted = "Faulted"
    completed = "Completed"


class JobHistoryActionName(Enum):

    main_action = "MainAction"
    error_action = "ErrorAction"


class JobExecutionStatus(Enum):

    completed = "Completed"
    failed = "Failed"
    postponed = "Postponed"


class ServiceBusAuthenticationType(Enum):

    not_specified = "NotSpecified"
    shared_access_key = "SharedAccessKey"


class ServiceBusTransportType(Enum):

    not_specified = "NotSpecified"
    net_messaging = "NetMessaging"
    amqp = "AMQP"
